package po

import (
	"plugins/alipay_cpn/internal/vo"
)

type QueryReq struct {
	ActivityOrderId string `json:"activity_order_id"`
	OutBizNo        string `json:"out_biz_no"`
	UserId          string `json:"user_id"`
	LogonId         string `json:"logon_id"`
	PhoneId         string `json:"phone_id"`
	ActivityID      string `json:"activity_id"`
}

type QueryResp struct {
	Data QueryRespData `json:"alipay_user_dtbankcust_activityorder_query_response"`
	Sign string        `json:"sign"`
}

type QueryRespData struct {
	Code    vo.Code `json:"code"`
	Msg     string  `json:"msg"`
	SubCode string  `json:"subCode"`
	SubMsg  string  `json:"subMsg"`

	ActivityOrderId string         `json:"activity_order_id"`
	ActivityId      string         `json:"activity_id"`
	OutBizNo        string         `json:"out_biz_no"`
	Status          vo.QueryStatus `json:"status"`
}
